<?xml version="1.0"?>
<!DOCTYPE PLAY SYSTEM "play.dtd">
<SceneHWSyncMode>
    <tag key="HAL_CUSTOM_SCENE_HWSYNC_CONF_ARRAY" type="int32_t">
        <sceneModeCount>3</sceneModeCount>
        <sceneHWSyncConf>
            <sceneMode type="string2Enum">CAMERA_HW_SM_APERTURE</sceneMode>
            <syncConfNum>2</syncConfNum>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_MAIN</physicalId>
                <syncMode>1</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_WIDE</physicalId>
                <syncMode>2</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
        </sceneHWSyncConf>
        <sceneHWSyncConf>
            <sceneMode type="string2Enum">CAMERA_HW_SM_PORTRAIT</sceneMode>
            <syncConfNum>2</syncConfNum>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_MAIN</physicalId>
                <syncMode>1</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_WIDE</physicalId>
                <syncMode>2</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
        </sceneHWSyncConf>
        <sceneHWSyncConf>
            <sceneMode type="string2Enum">CAMERA_HW_SM_APERTURE_VIDEO</sceneMode>
            <syncConfNum>2</syncConfNum>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_MAIN</physicalId>
                <syncMode>1</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_WIDE</physicalId>
                <syncMode>2</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
            <syncModeConf>
                <physicalId type="string2Enum">HWA_PHYSICAL_CAMERA_NONE</physicalId>
                <syncMode>0</syncMode>
            </syncModeConf>
        </sceneHWSyncConf>
    </tag>
</SceneHWSyncMode>
